[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [PATCH] build: fix bootstrap on MacOS X



* .gnulib: Update to latest, for bootstrap fixes.
* bootstrap: Synchronize with upstream.
* bootstrap.conf: Add pkg-config pre-requisite.
---

> As a thought, after installing pkg-config back onto the system, the
> above error about "CONFIG-pkg-config" not being found still happens,
> so something isn't right. :/ 

That something was gnulib, which has now been fixed upstream.  This
patch then copies upstream into place in libvirt.

* .gnulib 9f940e9...ae0a6b2 (18):
  > bootstrap: work with pkg-config
  > faccessat: remove unused wrappers
  > tests: require @PRAGMA_COLUMNS@ with each @PRAGMA_SYSTEM_HEADER@
  > gnulib-tool: Synthesize appropriate _LDFLAGS for a libtool library.
  > threadlib: Make option --with-libpth-prefix work.
  > Avoid line length limitation from HP NonStop system header files.
  > read-file tests: Avoid a test failure on NonStop Kernel.
  > gnulib-tool: Fixes for --create-testdir with --libtool.
  > Avoid some lines longer than 80 characters.
  > acl: Add support for ACLs on NonStop Kernel.
  > More info about ACLs on NonStop Kernel.
  > Info about ACLs on NonStop Kernel.
  > Define missing EDQUOT on NonStop Kernel.
  > Update doc for POSIX:2008.
  > gnulib-tool: In testdirs, use the newest available config.{guess.sub}.
  > New module 'system-posix'.
  > More renaming from 'getdate' to 'get_date'.
  > bootstrap: support ACLOCAL_FLAGS during aclocal

 .gnulib        |    2 +-
 bootstrap      |   18 ++++++++++--------
 bootstrap.conf |    1 +
 3 files changed, 12 insertions(+), 9 deletions(-)

diff --git a/.gnulib b/.gnulib
index 9f940e9..ae0a6b2 160000
--- a/.gnulib
+++ b/.gnulib
@@ -1 +1 @@
-Subproject commit 9f940e90a7555c3399c9972d9688483c011068c7
+Subproject commit ae0a6b2df106b7ed760cc393312997adf995cc3b
diff --git a/bootstrap b/bootstrap
index e94a29a..29802a1 100755
--- a/bootstrap
+++ b/bootstrap
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Print a version string.
-scriptversion=2010-09-30.17; # UTC
+scriptversion=2010-10-05.14; # UTC

 # Bootstrap this package from checked-out sources.

@@ -351,7 +351,7 @@ check_versions() {
       app=libtoolize
     fi
     # Honor $APP variables ($TAR, $AUTOCONF, etc.)
-    appvar=`echo $app | tr '[a-z]' '[A-Z]'`
+    appvar=`echo $app | tr 'a-z-' 'A-Z_'`
     test "$appvar" = TAR && appvar=AMTAR
     eval "app=\${$appvar-$app}"
     inst_ver=$(get_version $app)
@@ -374,7 +374,7 @@ check_versions() {
 print_versions() {
   echo "Program    Min_version"
   echo "----------------------"
-  printf "$buildreq"
+  printf %s "$buildreq"
   echo "----------------------"
   # can't depend on column -t
 }
@@ -392,10 +392,12 @@ if test $use_libtool = 1; then
 fi

 if ! printf "$buildreq" | check_versions; then
-  test -f README-prereq &&
-  echo "See README-prereq for notes on obtaining these prerequisite programs:" >&2
-  echo
-  print_versions
+  echo >&2
+  if test -f README-prereq; then
+    echo "See README-prereq for notes on obtaining the prerequisite programs" >&2
+  else
+    echo "Please install the prerequisite programs" >&2
+  fi
   exit 1
 fi

@@ -800,7 +802,7 @@ grep -E '^[	 ]*AC_CONFIG_HEADERS?\>' configure.ac >/dev/null ||

 for command in \
   libtool \
-  "${ACLOCAL-aclocal} --force -I m4" \
+  "${ACLOCAL-aclocal} --force -I m4 $ACLOCAL_FLAGS" \
   "${AUTOCONF-autoconf} --force" \
   "${AUTOHEADER-autoheader} --force" \
   "${AUTOMAKE-automake} --add-missing --copy --force-missing"
diff --git a/bootstrap.conf b/bootstrap.conf
index 7ce1e5d..8f25554 100644
--- a/bootstrap.conf
+++ b/bootstrap.conf
@@ -150,6 +150,7 @@ git        1.5.5
 gzip       -
 libtool    -
 perl       5.5
+pkg-config -
 tar        -
 "

-- 
1.7.2.3


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]